Bug 219638 - [RESTORING DELETED PORT] textproc/ibus-table: Table based input method framework for IBus
Summary: [RESTORING DELETED PORT] textproc/ibus-table: Table based input method framew...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://reviews.freebsd.org/D13547
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-29 14:25 UTC by Yuri Victorovich
Modified: 2018-03-17 05:05 UTC (History)
3 users (show)

See Also:


Attachments
shar (5.74 KB, text/plain)
2017-05-29 14:26 UTC, Yuri Victorovich
no flags Details
Patch after resurrection (5.39 KB, patch)
2017-07-01 14:10 UTC, Thierry Thomas
thierry: maintainer-approval? (yuri)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-05-29 14:25:51 UTC
textproc/ibus-table has been deleted in April, 2017 because google code went away.

In reality, GitHub had a maintained version, but this port hasn't been updated by the maintainer for a long while, and still pointed to google code.

ibus is an important input method framework, and ibus-table is one plugin for it implementing several input methods.

Restoring the port.

Builds in poudriere.
Comment 1 Yuri Victorovich freebsd_committer 2017-05-29 14:26:08 UTC
Created attachment 183035 [details]
shar
Comment 2 Thierry Thomas freebsd_committer 2017-07-01 14:10:47 UTC
Created attachment 183985 [details]
Patch after resurrection

The attached patch should be apply to resurrect the old port.

Notes:

- I removed bsd.port.options.mk by using options helpers

- in pkg-descr, WWW is still http://code.google.com/p/ibus
	This page exists, but it would be better to use a new one

- the regexp used in pre-configure_DOCS_off does not match anything, and engine/Makefile.am is not modified => the build fails when DOCS is disabled.
Comment 3 Tobias Kortkamp freebsd_committer 2018-03-14 11:47:45 UTC
Ping?
Comment 4 Yuri Victorovich freebsd_committer 2018-03-14 16:16:44 UTC
I'll commit this w/in a day or two. It hasn't been reviewed by mentors for some reason, so it got stuck.
Comment 5 Yuri Victorovich freebsd_committer 2018-03-17 05:05:00 UTC
Committed.
Comment 6 commit-hook freebsd_committer 2018-03-17 05:05:52 UTC
A commit references this bug:

Author: yuri
Date: Sat Mar 17 05:04:49 UTC 2018
New revision: 464755
URL: https://svnweb.freebsd.org/changeset/ports/464755

Log:
  Re-added port: textproc/ibus-table: Table-based input method framework for IBus (existed 2009/11/22-2017/04/30, deleted in r439826)

  PR:		219638
  Differential Revision:	https://reviews.freebsd.org/D13547

Changes:
  head/MOVED
  head/textproc/Makefile
  head/textproc/ibus-table/
  head/textproc/ibus-table/Makefile
  head/textproc/ibus-table/distinfo
  head/textproc/ibus-table/files/
  head/textproc/ibus-table/pkg-descr
  head/textproc/ibus-table/pkg-plist